/*FUNÇÃO SLIDE DESTAQUES*/
$(document).ready(function() {
	
	function validaCpfCnpj(val) {
    if (val.length == 14) {
        var cpf = val.trim();
     
        cpf = cpf.replace(/\./g, '');
        cpf = cpf.replace('-', '');
        cpf = cpf.split('');
        
        var v1 = 0;
        var v2 = 0;
        var aux = false;
        
        for (var i = 1; cpf.length > i; i++) {
            if (cpf[i - 1] != cpf[i]) {
                aux = true;   
            }
        } 
        
        if (aux == false) {
            return false; 
        } 
        
        for (var i = 0, p = 10; (cpf.length - 2) > i; i++, p--) {
            v1 += cpf[i] * p; 
        } 
        
        v1 = ((v1 * 10) % 11);
        
        if (v1 == 10) {
            v1 = 0; 
        }
        
        if (v1 != cpf[9]) {
            return false; 
        } 
        
        for (var i = 0, p = 11; (cpf.length - 1) > i; i++, p--) {
            v2 += cpf[i] * p; 
        } 
        
        v2 = ((v2 * 10) % 11);
        
        if (v2 == 10) {
            v2 = 0; 
        }
        
        if (v2 != cpf[10]) {
            return false; 
        } else {   
            return true; 
        }
    } else if (val.length == 18) {
        var cnpj = val.trim();
        
        cnpj = cnpj.replace(/\./g, '');
        cnpj = cnpj.replace('-', '');
        cnpj = cnpj.replace('/', ''); 
        cnpj = cnpj.split(''); 
        
        var v1 = 0;
        var v2 = 0;
        var aux = false;
        
        for (var i = 1; cnpj.length > i; i++) { 
            if (cnpj[i - 1] != cnpj[i]) {  
                aux = true;   
            } 
        } 
        
        if (aux == false) {  
            return false; 
        }
        
        for (var i = 0, p1 = 5, p2 = 13; (cnpj.length - 2) > i; i++, p1--, p2--) {
            if (p1 >= 2) {  
                v1 += cnpj[i] * p1;  
            } else {  
                v1 += cnpj[i] * p2;  
            } 
        } 
        
        v1 = (v1 % 11);
        
        if (v1 < 2) { 
            v1 = 0; 
        } else { 
            v1 = (11 - v1); 
        } 
        
        if (v1 != cnpj[12]) {  
            return false; 
        } 
        
        for (var i = 0, p1 = 6, p2 = 14; (cnpj.length - 1) > i; i++, p1--, p2--) { 
            if (p1 >= 2) {  
                v2 += cnpj[i] * p1;  
            } else {   
                v2 += cnpj[i] * p2; 
            } 
        }
        
        v2 = (v2 % 11); 
        
        if (v2 < 2) {  
            v2 = 0;
        } else { 
            v2 = (11 - v2); 
        } 
        
        if (v2 != cnpj[13]) {   
            return false; 
        } else {  
            return true; 
        }
    } else {
        return false;
    }
 }

	$('#txtCpf_cnpj').on("focusout",function(){
		
		var value = $(this).val();
		
		if(!validaCpfCnpj(value)){
			//cpf ou cnpj invalido
			$('#validation_txtCpf_cnpj').html('CPF ou CNPJ inválido');
			$('#txtCpf_cnpj').addClass('is-invalid');
			
		}else{
			
			$('#txtCpf_cnpj').removeClass('is-invalid');
			//$('#txtCpf_cnpj').addClass('is-valid');
		}
		

			
	});
	
	$('#txtCpf_cnpj').on("keyup",function(){
		
		var value = $(this).val();
		
		if($(this).hasClass('is-invalid') && validaCpfCnpj(value)){
			$('#txtCpf_cnpj').removeClass('is-invalid');
		}
			
	});
	
	//busca
	$("#filtro").click(function(){
		var busca=$("#busca");
		if(busca.css("display")=='none'){
			busca.slideDown(400);
			setTimeout(function(){
				busca.css("display",'');				
			},300);
		}else{	
			busca.slideUp(400);
			setTimeout(function(){
				busca.css("display","none");				
			},300);
		}
	});
	//#########
	
	$("#txtFormaDePagamento").change(function(){
		$('#formSelectForma').submit();
	});
	
	$("#selecionarIdioma").change(function(){
		$('#formIdioma').submit();
	});
	
	
	
	/*FORM PEDIDO*/
	
	$('#txtTipoDominio_0').click(function(){
		var a =$('#espacoDominioReg');
		var b =$('#espacoDominioTrans');
		var c =$('#espacoDominioDns');
		
		a.css('display','block');
		b.css('display','none');
		c.css('display','none');
		
	});
	
	$('#txtTipoDominio_1').click(function(){
		var a =$('#espacoDominioReg');
		var b =$('#espacoDominioTrans');
		var c =$('#espacoDominioDns');
		
		a.css('display','none');
		b.css('display','block');
		c.css('display','none');
		
	});
	
	$('#txtTipoDominio_2').click(function(){
		var a =$('#espacoDominioReg');
		var b =$('#espacoDominioTrans');
		var c =$('#espacoDominioDns');
		
		a.css('display','none');
		b.css('display','none');
		c.css('display','block');
		
	});
	
	//CICLO DE PAGAMENTO
	
	$('input[name=txtCicloPagamento]').click(function(){
		
		var ciclos=Array();
		ciclos[1]='mensal';
		ciclos[3]='trimestral';
		ciclos[6]='semestral';
		ciclos[12]='anual';
		ciclos[24]='bienal';
		ciclos[36]='trienal';
		
		$(".mensal").css('display','none');
		$(".trimestral").css('display','none');
		$(".semestral").css('display','none');
		$(".anual").css('display','none');
		$(".bienal").css('display','none');
		$(".trienal").css('display','none');
		
		$('.'+ciclos[$(this).val()]).css('display','inline');
		
		
	});
	
	$("#nav").change(function(){
		window.location=$(this).val();
	});
	
	/*FORM PEDIDO*/
	
	// hospedar um site
	$('.btnConHosp').click(function(){
		window.location="produtos.php?dominio="+$('#chkDominio').val();							
	});
	
	$('.btnConHosp2').click(function(){
		window.location="produtos.php?dominio="+$('#chkDominio').val();							
	});
	
	$('.chkDisp').click(function(){
		window.location="carrinho.php?TD=1&dominio="+$('#chkDominio').val();							
	});
		
	$('#formChecar').submit(function(){
		window.location="carrinho.php?TD=1&dominio="+$('#chkDominio').val();							
		return false;
	});
		
	$('.btTransferir').click(function(){
		window.location="carrinho.php?TD=2&dominio="+$('#chkDominio').val();							
	});
		
	
	$('.btTransferir2').click(function(){
		$('#tipoMovimento').val('T');
		$('#formChecar2').submit();
	});
	
	
	
	
	$('#txtCep').change(function(){
		$('#txtEndereco').val('Buscando endereço, Aguarde...');
		$.ajax({
            url : 'modulos/buscaCep.php?cep='+$(this).val(),
            success: function(data){
				data = data.split('|');
				
				$('#txtEstado').val(data[0]);
				$('#txtCidade').val(data[1]);
				$('#txtBairro').val(data[2]);
				
				if(data[4]!=''){
					$('#txtEndereco').val(data[3]+' '+data[4]);
					$('#txtNumero').focus();
				}else{
					$('#txtEndereco').val('');
					$('#txtEndereco').focus();	
				}
				
            }
        });
	});
	
	//MASCARAS
	
	//$("#txtCep").mask("99999-999");
	//$("#txtTelefone").mask("(99) 9999-9999?9");
	
});